local db 

function MrPlow:InitialiseOptions()
	db = MrPlow.db.profile
end

local createBorder = function(self, point)
	local bc = self:CreateTexture(nil, "OVERLAY")
	bc:SetTexture"Interface\\Buttons\\UI-ActionButton-Border"
	bc:SetBlendMode"ADD"
	bc:SetAlpha(.8)

	bc:SetPoint("CENTER", point or self)
	return bc
end

local colorTable = setmetatable({
	["ignore-slot"] = {r = .9, g = 0, b = 0, s = 60},
	["ignore-item"] = {r = 1, g = 1, b = 0, s = 60},
}, {__call = function(self, val)
	local c = self[val]
	if(c) then return c.r, c.g, c.b, c.s end
end})

function MrPlow:Overlay(frame, quality)
	if frame[quality] then
		if frame[quality]:IsVisible() then 
			frame[quality]:Hide()
		else 
			frame[quality]:Show()
		end
		return		
	end

	local bc = createBorder(frame, point)
	frame[quality] = bc
	local border = bc
	if(border) then
		r, g, b, s = colorTable(quality)
		border:SetVertexColor(r, g, b)
		border:SetWidth(s)
		border:SetHeight(s)
		border:Show()
	end
end

function MrPlow:IsIgnored(bag, slot, guild)
	if not guild then
		if db.IgnoreBags[bag] then
			return true
		end
		if not slot then
			return false
		end
	end
	
	if guild and db.IgnoreGuild[bag] and db.IgnoreGuild[bag][slot] then
		return true
	end

	if db.IgnoreSlots[bag] and db.IgnoreSlots[bag][slot] then
		return true
	end
	return false
end

function MrPlow:Ignore(bag, slot, guild)
	if not guild and not slot then
		db.IgnoreBags[bag] = 1
		return
	end
	if guild then
		if not db.IgnoreGuild[bag] then db.IgnoreGuild[bag] = {} end
		db.IgnoreGuild[bag][slot] = 1
		return
	end
	if not db.IgnoreSlots[bag] then db.IgnoreSlots[bag] = {} end
	db.IgnoreSlots[bag][slot] = 1
end

function MrPlow:Unignore(bag, slot, guild)
	if not guild and not slot then
		db.IgnoreBags[bag] = nil
		return
	end
	if guild then
		db.IgnoreGuild[bag][slot] = nil
		return
	end
	db.IgnoreSlots[bag][slot] = nil
end

function MrPlow:ScanFrame()
	local FullFrameList = {GetMouseFocus():GetChildren()}
		
end
